For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

Assessments

Get Assessments

get

Get a list of assessments produced for your organisation or produced by your organisation.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Query parameters
limitinteger · min: 1 · max: 1000OptionalDefault: 1000
pageintegerOptionalDefault: 1
assessmentstringOptional

Comma separated assessment IDs

Example: cllks38mw000131wh9ukgjc4g
propertystringOptional

Comma separated property IDs

Example: cksq4ybpq104zwgwh2gd1vvha
typestringOptional

Comma separated assessment types
See GET /assessments/types

Example: {"value":"cm65bkfml00kpyjwh84eword,cm65bkfml00koyjwhqz38xwa"}
performedstringOptional

For: list assessments produced for your organisation. By: list assessments produced by your organisation

Default: For,ByExample: {"value":"For"}
statusstringOptional

Comma separated assessment statuses

Default: approvedExample: {"value":"inprogress,submitted,approved"}
includeflagsbooleanOptional

Include assessment flags and their history

Default: false
Responses
200Success
application/json
totalintegerOptionalExample: 9231
get/assessments
GET /assessments HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "total": 9231,
  "assessments": [
    {
      "id": "cllks38mw000131wh9ukgjc4g",
      "property": "cksq4ybpq104zwgwh2gd1vvha",
      "asset": "cksq4ybpq104zwgwh2gd1vvha",
      "forOrganisation": "clkjwoavd00hj99whnsg8prog",
      "byOrganisation": "clhracytd002243whodg03shv",
      "reference": "RB-ABC123",
      "customReference": "MyAseRef0001",
      "type": "cm65bkfml00kpyjwh84eword",
      "status": "inprogress",
      "assessedDate": "2024-01-01",
      "approvedDate": "2024-01-03",
      "expiryDate": "2025-01-01",
      "scheduleCustomReference": "MyAseSchRef0001",
      "flags": [
        {
          "id": "gg00k4cccsokgggggko4scg0",
          "name": "Onsite Visit Completed",
          "currentState": {
            "isSet": true,
            "user": "cksq391qt04f60ns0rplhdmpj",
            "comment": "I've fully completed the visit now",
            "timestamp": "2025-03-05 12:13:00"
          },
          "history": [
            {
              "isSet": true,
              "user": "cksq391qt04f60ns0rplhdmpj",
              "comment": "",
              "timestamp": "2025-03-05 10:01:25"
            },
            {
              "isSet": false,
              "user": "cksq391qt04f60ns0rplhdmpj",
              "comment": "Need to go back for another photo",
              "timestamp": "2025-03-05 11:25:01"
            },
            {
              "isSet": true,
              "user": "cksq391qt04f60ns0rplhdmpj",
              "comment": "I've fully completed the visit now",
              "timestamp": "2025-03-05 12:13:53"
            }
          ]
        },
        {
          "id": "i4ssoswwgocggggocgkc4kss",
          "name": "Spelling Check",
          "currentState": null,
          "history": []
        }
      ]
    }
  ],
  "organisations": [
    [
      {
        "id": "clkjwoavd00hj99whnsg8prog",
        "name": "Kenney Housing",
        "address": {
          "line1": "9 Plant Lane",
          "line2": "",
          "city": "London",
          "county": "",
          "postcode": "TW8 1PL"
        }
      },
      {
        "id": "clhracytd002243whodg03shv",
        "name": "Brandon Fire Safety",
        "address": {
          "line1": "",
          "line2": "",
          "city": "",
          "county": "",
          "postcode": ""
        }
      }
    ]
  ]
}

Get Assessment Types

get
Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Responses
200Success
application/json
get/assessments/types
GET /assessments/types HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "types": [
    {
      "id": "cm65bkfml00koyjwhqz38xwa",
      "name": "External Wall Engineer Report",
      "isDeleted": false
    },
    {
      "id": "cm65bkfml00kpyjwh84eword",
      "name": "Fire Risk Assessment",
      "isDeleted": false
    }
  ]
}

Get Assessment Report PDF

get

Get an assessment's report PDF

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
assessmentIdstring · UIDRequired
Responses
200Success
application/pdf
stringOptional
get/assessments/{assessmentId}/report.pdf
GET /assessments/{assessmentId}/report.pdf HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
text

Get Assessment Bundle ZIP

get

Get an assessment's bundle ZIP. This bundle contains: • Report PDF • CSVs of actions, controls, and elements • Assessment attachments • Images and files for actions, controls, and elements

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
assessmentIdstring · UIDRequired
Responses
200Success
application/zip
stringOptional
get/assessments/{assessmentId}/bundle.zip
GET /assessments/{assessmentId}/bundle.zip HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
text

Get Assessment Actions

get
Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
assessmentIdstring · UIDRequired
Query parameters
limitinteger · min: 1 · max: 1000OptionalDefault: 1000
pageinteger · min: 1OptionalDefault: 1
actionstringOptional

Comma separated action IDs

Example: cle72jm2q0001pxwhqnf5qfoc
includeusersbooleanOptional

Include names and emails of manually assigned users

Default: false
includeteamsbooleanOptional

Include names of manually assigned teams

Default: false
includecategoriesbooleanOptional

Include names of categories

Default: false
includeseveritiesbooleanOptional

Include names of severities

Default: false
includetimescalesbooleanOptional

Include names of timescales

Default: false
Responses
200Success
application/json
totalintegerOptional

Total number of matching actions before pagination

Example: 1
get/assessments/{assessmentId}/actions
GET /assessments/{assessmentId}/actions HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "total": 1,
  "actions": [
    {
      "id": "cle72jm2q0001pxwhqnf5qfoc",
      "asset": "cksq4ybpq104zwgwh2gd1vvha",
      "reference": "RB-ABC123",
      "status": null,
      "what": "Description of action",
      "why": "Why the action is required",
      "location": "Location of action",
      "category": "ckuqwxk32011i11oooozx3vc2",
      "severity": "dkgcscowkkwcwsw0c40c4gcs",
      "timescale": "scc4o0wc80800gkwg0cc4sk8",
      "assignedTeams": [
        {
          "id": "cksq3a5ux03nx0ns0jntekwfm",
          "manual": true,
          "auto": false
        }
      ],
      "assignedUsers": [
        {
          "id": "cliylzuy600010nl44ox1hsqf",
          "manual": true,
          "auto": false
        }
      ],
      "photoIds": [
        "cksq3jhl500ga0ls0oiibt7q2"
      ]
    }
  ],
  "users": [
    {
      "id": "cliylzuy600010nl44ox1hsqf",
      "email": "assessor@example.com",
      "name": "Alex Taylor"
    }
  ],
  "teams": [
    {
      "id": "cksq3a5ux03nx0ns0jntekwfm",
      "name": "Repairs Team"
    }
  ],
  "categories": [
    {
      "id": "ckuqwxk32011i11oooozx3vc2",
      "name": "Fire Safety"
    }
  ],
  "severities": [
    {
      "id": "dkgcscowkkwcwsw0c40c4gcs",
      "name": "High"
    }
  ],
  "timescales": [
    {
      "id": "scc4o0wc80800gkwg0cc4sk8",
      "name": "One Month"
    }
  ]
}

Get Assessment Controls

get

Returns the controls recorded in an assessment, whatever the assessment's status. Each assessment returns its own copy of a control, so reviewing a control in a later assessment does not change what earlier assessments return.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
assessmentIdstring · UIDRequired
Query parameters
limitinteger · min: 1 · max: 1000OptionalDefault: 1000
pageinteger · min: 1OptionalDefault: 1
controlstringOptional

Comma separated control IDs

Example: c250c4a8-61b2-4213-b396-d1c64cb9e3fb
includecategoriesbooleanOptional

Include names of categories

Default: false
Responses
200Success
application/json
totalintegerOptional

Total number of matching controls before pagination

Example: 1
get/assessments/{assessmentId}/controls
GET /assessments/{assessmentId}/controls HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "total": 1,
  "controls": [
    {
      "id": "c250c4a8-61b2-4213-b396-d1c64cb9e3fb",
      "asset": "cksq4ybpq104zwgwh2gd1vvha",
      "reference": "RB-ABC123",
      "status": "ongoing",
      "what": "Description of control",
      "why": "Why the control is in place",
      "location": "Location of control",
      "category": "ckuqwxk32011i11oooozx3vc2",
      "photoIds": [
        "cksq3jhl500ga0ls0oiibt7q2"
      ]
    }
  ],
  "categories": [
    {
      "id": "ckuqwxk32011i11oooozx3vc2",
      "name": "Fire Safety"
    }
  ]
}

Get Assessment Assets

get
Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
assessmentIdstring · UIDRequired
Query parameters
limitinteger · min: 1 · max: 1000OptionalDefault: 1000
pageinteger · min: 1OptionalDefault: 1
typestring · Comma-Separated: ID or nameOptional

Limit the list by asset type ID or name

Example: Flat Entrance Door,firedoors,cksq3o1qn00j20hs0ayi7qagu
idstring · Comma-Separated: IDOptional

Limit the list by asset ID

Example: cksq3o1qn00j10hs07j31i9l1,cmgc4i3ii000108l14r8h3sl7
Responses
200Success
application/json
totalintegerOptional

Total number of matching assets before pagination

Example: 2
typesall ofOptional

Asset types represented by the assets on this page

get/assessments/{assessmentId}/assets
GET /assessments/{assessmentId}/assets HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "$ref": "#/components/examples/assessmentassets/list"
}

Get Assessment Schedules

get

Get a list of assessment schedules

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Query parameters
limitinteger · min: 1 · max: 1000OptionalDefault: 1000
pageintegerOptionalDefault: 1
propertystring · UIDOptional

Comma separated property IDs

Example: cksq4ybpq104zwgwh2gd1vvha
assetstringOptionalDeprecated

Use property instead

typestring · UIDOptional

Comma separated assessment types
See GET /assessments/types

Example: {"value":"cm65bkfml00kpyjwh84eword,cm65bkfml00koyjwhqz38xwa"}
statusstring · enumOptional

Comma separated schedule statuses

Default: notstarted,inprogressExample: {"value":"notstarted"}Possible values:
Responses
200Success
application/json
totalintegerOptionalExample: 1
get/assessments/schedules
GET /assessments/schedules HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "total": 1,
  "schedules": [
    {
      "property": "cksq4ybpq104zwgwh2gd1vvha",
      "asset": "cksq4ybpq104zwgwh2gd1vvha",
      "type": "cm65bkfml00kpyjwh84eword",
      "status": "notstarted",
      "dueDate": "2025-06-01",
      "description": "Information for assessment author",
      "customReference": "MyAseSchRef0001",
      "assignedUsers": [
        "cksq4xkxh012173wh9agrq0iz"
      ]
    }
  ]
}

Get Assessment Schedule

get

Get a property's assessment schedule for a particular assessment type

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
propertystring · UIDRequired

The schedule's property ID

typestring · UIDRequired

The schedule's assessment type ID

Responses
200Success
application/json
propertystring · UIDOptional

ID of property this schedule belongs to

assetstring · UIDOptionalDeprecated

Use property instead

typestring · UIDOptional

See GET /assessments/types

statusstring · enumOptionalPossible values:
dueDatedate · Y-m-dOptional
descriptionstringOptional
customReferencestringOptional
assignedUsersstring · UID[]Optional
get/assessments/schedules/{property}/{type}
GET /assessments/schedules/{property}/{type} HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "property": "cksq4ybpq104zwgwh2gd1vvha",
  "asset": "cksq4ybpq104zwgwh2gd1vvha",
  "type": "cm65bkfml00kpyjwh84eword",
  "status": "notstarted",
  "dueDate": "2025-06-01",
  "description": "Information for assessment author",
  "customReference": "MyAseSchRef0001",
  "assignedUsers": [
    "cksq4xkxh012173wh9agrq0iz"
  ]
}

Create/Update Assessment Schedule

put

Update a property's assessment schedule if it exists, otherwise create it

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
propertystring · UIDRequired

The schedule's property ID

typestring · UIDRequired

The schedule's assessment type ID

Body
dueDatedate · Y-m-dOptionalExample: 2025-06-01
descriptionstringOptionalExample: Information for assessment author
customReferencestringOptional

The schedule's custom reference will appear on the assessment as scheduleCustomReference in GET /assessments

Example: MyAseSchRef0001
assignedUsersstring · UID[]OptionalExample: ["cksq4xkxh012173wh9agrq0iz"]
Responses
204Success
put/assessments/schedules/{property}/{type}
PUT /assessments/schedules/{property}/{type} HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 156

{
  "dueDate": "2025-06-01",
  "description": "Information for assessment author",
  "customReference": "MyAseSchRef0001",
  "assignedUsers": [
    "cksq4xkxh012173wh9agrq0iz"
  ]
}

Delete Assessment Schedule

delete

Delete a property's assessment schedule

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
propertystring · UIDRequired

The schedule's property ID

typestring · UIDRequired

The schedule's assessment type ID

Responses
204Success
delete/assessments/schedules/{property}/{type}
DELETE /assessments/schedules/{property}/{type} HTTP/1.1
Host: api3.riskbase.uk
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Last updated

Was this helpful?